Package org.kapott.hbci.manager

## Class FileSystemClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.kapott.hbci.manager.FileSystemClassLoader

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    public class FileSystemClassLoader
    extends java.net.URLClassLoader

ClassLoader, der für das Laden eines Property-Files aus dem Filesystem benutzt werden kann. Dieser ClassLoader kann überall da benutzt werden, wenn eine Ressource über einen ClassLoader geladen wird, und wenn die Ressource ein File im aktuellen Filesystem ist. Es ist zur Zeit nicht möglich, relative Pfadangaben zu benutzen. Das heißt, dass der Pfad zu einer Ressource (Datei) immer als vollständiger Pfad von der Wurzel des Dateisystems an spezifiziert werden muss.

Es gibt im Moment nur eine konkrete Anwendung für diese Klasse (siehe dazu Initialisierung des HBCI-Kernels mit `HBCIUtils.init(Properties,org.kapott.hbci.callback.HBCICallback)`).

### Constructor Summary

Constructors
`FileSystemClassLoader()` Erzeugen einer neuen Instanz dieser Klasse

### Method Summary

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSystemClassLoader

    public FileSystemClassLoader()
                          throws java.net.MalformedURLException

Erzeugen einer neuen Instanz dieser Klasse

Throws:
  `java.net.MalformedURLException`